<?php
/**
 *  File called by template.php
 */

/**
 * Implements HOOK_theme().
 *
 * We are simply using this hook as a convenient time to do some related work.
 */
function _squaregrid_theme(&$existing, $type, $theme, $path) {
  // If rebuilding theme registry, warn admin user.
  if (
    // check for access permission and whether rebuild is set
    function_exists('user_access') && user_access('administer site configuration')
    && theme_get_setting('squaregrid_rebuild_registry')
    // Display in the admin section, and elsewhere 4 times per hour.
    && (arg(0) == 'admin' || flood_is_allowed($GLOBALS['theme'] . '_rebuild_registry_warning', 4))
  ) {
    flood_register_event($GLOBALS['theme'] . '_rebuild_registry_warning');
    drupal_set_message(t('<strong>Reminder: The Theme Registry is being rebuilt on <em>every</em> pageload. Remember to <a href="!link">turn off this feature</a> when your theme goes live.</strong>', array('!link' => url('admin/appearance/settings/' . $GLOBALS['theme']))), 'warning', FALSE);
  }

  // hook_theme() expects an array, so return an empty one.
  return array();
}